@import "assets/scss/global";

.help-icon {
    position: relative;
    height: 36px;
    width: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background: #00BA34;
    padding: 6px;

    svg {
        width: 22px;
        height: 22px;
    }
}

.tooltip-text {
    display: flex;
    padding: 10px 12px;
    border-radius: 8px;
    background: #FFF;

    span {
        color: rgba(68, 68, 68, 0.90);
        text-align: center;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }

    &.disabled {
        visibility: hidden;
    }
}

.card-wrapper {
    top: 48px;
    border-radius: 12px;
    padding: 10px 20px 15px 20px;
    background: #FFF;
    box-shadow: 20px 20px 60px 0px rgba(0, 0, 0, 0.10);
    z-index: 2;

    @media screen and (max-width: #{$small-screen}) {
        width: 230px;;
    }

    @include smallScreen {
        width: 350px;
    }

    &>div {
        row-gap: unset !important;
    }

    .title {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
        gap: 2px;
        position: relative;
        padding-bottom: 10px;

        &::after {
            content: '';
            border: 1px solid #E2E5F2;
            position: absolute;
            top: 28px;
            left: 0;
            right: 0;
            width: 100%;
            height: 1px;
            box-sizing: border-box;
        }

        svg {
            width: 18px;
            height: 18px;

            path {
                fill: #FF6500;
            }
        }

        span {
            color: #EF4E2B;
            font-size: 16px;
            font-style: normal;
            font-weight: 600;
            line-height: 24px;
        }
    }

    .instruction-link {
        display: flex;
        padding: 10px;
        align-items: flex-start;
        color: $dark-color;

        font-size: 13px;
        font-style: normal;
        font-weight: 500;
        line-height: 17px;

        &:hover {
            border-radius: 4px;
            background: #FAF1EF;
        }
    }
}